curl --request GET \
--url https://api.getprimo.com/saas/{saasId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"tags": [
"<string>"
],
"connectionStatus": "CONNECTED",
"identitiesCount": 4503599627370495,
"identities": [
{
"id": "<string>",
"employeeId": "<string>",
"email": "<string>",
"groups": [
"<string>"
],
"roles": [
"<string>"
],
"licenses": [
"<string>"
]
}
],
"recentEvents": [
{
"id": "<string>",
"name": "USER_PROVISIONED",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z",
"employeeId": "<string>",
"contextType": "ONBOARDING",
"errorMessage": "<string>"
}
],
"contract": {
"pricingMode": "per_licence",
"currency": "EUR",
"billingFrequency": "monthly",
"flatRatePrice": 123,
"unlicensedPricePerSeat": 123,
"unlicensedMinimumSeatsBilled": 4503599627370495,
"licenses": [
{
"remoteId": "<string>",
"name": "<string>",
"pricePerSeat": 123,
"minimumSeatsBilled": 4503599627370495
}
]
},
"finance": {
"yearlyCost": 123,
"unusedYearlyCost": 123,
"unusedSeatsCount": 4503599627370495
},
"licenses": [
{
"remoteId": "<string>",
"name": "<string>"
}
]
}Return the SaaS details for the given company SaaS application ID.
curl --request GET \
--url https://api.getprimo.com/saas/{saasId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"tags": [
"<string>"
],
"connectionStatus": "CONNECTED",
"identitiesCount": 4503599627370495,
"identities": [
{
"id": "<string>",
"employeeId": "<string>",
"email": "<string>",
"groups": [
"<string>"
],
"roles": [
"<string>"
],
"licenses": [
"<string>"
]
}
],
"recentEvents": [
{
"id": "<string>",
"name": "USER_PROVISIONED",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z",
"employeeId": "<string>",
"contextType": "ONBOARDING",
"errorMessage": "<string>"
}
],
"contract": {
"pricingMode": "per_licence",
"currency": "EUR",
"billingFrequency": "monthly",
"flatRatePrice": 123,
"unlicensedPricePerSeat": 123,
"unlicensedMinimumSeatsBilled": 4503599627370495,
"licenses": [
{
"remoteId": "<string>",
"name": "<string>",
"pricePerSeat": 123,
"minimumSeatsBilled": 4503599627370495
}
]
},
"finance": {
"yearlyCost": 123,
"unusedYearlyCost": 123,
"unusedSeatsCount": 4503599627370495
},
"licenses": [
{
"remoteId": "<string>",
"name": "<string>"
}
]
}Use your Primo API key in the Authorization header as Bearer <API_KEY>.
CONNECTED, DISCONNECTED, PENDING, NOT_CONNECTED, NOT_CONNECTABLE 0 <= x <= 9007199254740991Show child attributes
The 20 most synchronization-related recent events for this SaaS integration.
Show child attributes
Billing contract currently configured for this SaaS.
Show child attributes
Derived financial metrics computed from the configured contract.
Show child attributes
SaaS license catalog used to map contract pricing lines with the SaaS licenses.
Show child attributes
Was this page helpful?